at.chipkarte.client.ebs.soap

## Class EntschiedeneLeistung

- Object
- - at.chipkarte.client.ebs.soap.EntschiedeneLeistung

-     public class EntschiedeneLeistung
      extends Object

  Dient der Ausgabe von entschiedenen Leistungen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntschiedeneLeistung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBegruendung()` Begründung zum aktuellen Leistungsstatus.
    `String` | `getEntscheidungsposition()` Eindeutige Positionsnummer der entschiedenen Leistung innerhalb des Antrages.
    `Katalogleistung` | `getKatalogleistung()` Entschiedene Katalogleistung.
    `String` | `getKoerperregion()` Körperregion inklusive Seitenangabe.
    `String` | `getKontrastmittel()` Verwendung eines Kontrastmittels.
    `String` | `getLeistungfreitext()` Leistung als Freitext.
    `String` | `getLeistungsstatus()` Status der entschiedenen Leistung.
    `String` | `getSeite()` Seite.
    `MedizinischeDatenerweiterung[]` | `getWeitereMedizinischeDaten()` Weitere medizinische Informationen, die aufgrund unterschiedlicher Schnittstellenversionen zwischen Erstellung und Abfrage nicht als eigenes Attribut übermittelt werden könnten.
    `void` | `setBegruendung(String begruendung)`
    `void` | `setEntscheidungsposition(String entscheidungsposition)`
    `void` | `setKatalogleistung(Katalogleistung katalogleistung)`
    `void` | `setKoerperregion(String koerperregion)`
    `void` | `setKontrastmittel(String kontrastmittel)`
    `void` | `setLeistungfreitext(String leistungfreitext)`
    `void` | `setLeistungsstatus(String leistungsstatus)`
    `void` | `setSeite(String seite)`
    `void` | `setWeitereMedizinischeDaten(MedizinischeDatenerweiterung[] weitereMedizinischeDaten)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntschiedeneLeistung

          public EntschiedeneLeistung()

  - ### Method Detail

    - #### getEntscheidungsposition

          public String getEntscheidungsposition()

      Eindeutige Positionsnummer der entschiedenen Leistung innerhalb des Antrages.
      Hinweis: Die erste Stelle der Position bezieht sich dabei auf die Beantragungsposition der beantragten Leistung.
      Angabe: Muss.
      Format: 2-stellig
      Returns:
        Entscheidungsposition.

    - #### setEntscheidungsposition

          public void setEntscheidungsposition(String entscheidungsposition)

    - #### getKatalogleistung

          public Katalogleistung getKatalogleistung()

      Entschiedene Katalogleistung. Siehe `Katalogleistung`.
      Angabe: Bedingt. Entweder eine Katalogleistung oder eine Freitextleistung ist angegeben.
      Returns:
        Katalogleistung.

    - #### setKatalogleistung

          public void setKatalogleistung(Katalogleistung katalogleistung)

    - #### getLeistungfreitext

          public String getLeistungfreitext()

      Leistung als Freitext.
      Angabe: Bedingt. Entweder eine Katalogleistung oder eine Freitextleistung ist angegeben.
      Format: 100-stellig
      Returns:
        Leistungfreitext.

    - #### setLeistungfreitext

          public void setLeistungfreitext(String leistungfreitext)

    - #### getSeite

          public String getSeite()

      Seite.
      Mögliche Werte siehe `SeiteTypConstants`.
      Angabe: Kann. Nur möglich bei Leistungen für die Antragstypen CT, MR, KDM und ROEU.
      Returns:
        Seite.

    - #### setSeite

          public void setSeite(String seite)

    - #### getBegruendung

          public String getBegruendung()

      Begründung zum aktuellen Leistungsstatus.
      Angabe: Kann.
      Format: 1000-stellig
      Returns:
        Begruendung.

    - #### setBegruendung

          public void setBegruendung(String begruendung)

    - #### getLeistungsstatus

          public String getLeistungsstatus()

      Status der entschiedenen Leistung.
      Mögliche Werte siehe `LeistungsstatusTypConstants`.
      Angabe: Muss.
      Returns:
        Leistungsstatus.

    - #### setLeistungsstatus

          public void setLeistungsstatus(String leistungsstatus)

    - #### getWeitereMedizinischeDaten

          public MedizinischeDatenerweiterung[] getWeitereMedizinischeDaten()

      Weitere medizinische Informationen, die aufgrund unterschiedlicher Schnittstellenversionen zwischen Erstellung und Abfrage nicht als eigenes Attribut übermittelt werden könnten. Wird nur vom Service versorgt. Siehe `MedizinischeDatenerweiterung`.
      Angabe: Kann.
      0 bis n Elemente.
      Returns:
        WeitereMedizinischeDaten.

    - #### setWeitereMedizinischeDaten

          public void setWeitereMedizinischeDaten(MedizinischeDatenerweiterung[] weitereMedizinischeDaten)

    - #### getKontrastmittel

          public String getKontrastmittel()

      Verwendung eines Kontrastmittels.
      Mögliche Werte siehe `KennzeichenJaKeineAngabeTypConstants`.
      Angabe: Kann. Nur möglich bei Leistungen für die Antragstypen CT, MR und ROEU.
      Returns:
        Kontrastmittel.

    - #### setKontrastmittel

          public void setKontrastmittel(String kontrastmittel)

    - #### getKoerperregion

          public String getKoerperregion()

      Körperregion inklusive Seitenangabe.
      Angabe: Kann. Nur möglich bei Leistungen für den Antragstyp ROET.
      Format: 100-stellig
      Returns:
        Koerperregion.

    - #### setKoerperregion

          public void setKoerperregion(String koerperregion)